Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network6.66.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
6.66.0.0
Broadcast address
6.66.31.255
First usable
6.66.0.1
Last usable
6.66.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 06420000 · Integer 104988672 to 104996863
Reverse DNS zones
0.66.6.in-addr.arpa
1.66.6.in-addr.arpa
2.66.6.in-addr.arpa
3.66.6.in-addr.arpa
4.66.6.in-addr.arpa
5.66.6.in-addr.arpa
6.66.6.in-addr.arpa
7.66.6.in-addr.arpa
8.66.6.in-addr.arpa
9.66.6.in-addr.arpa
10.66.6.in-addr.arpa
11.66.6.in-addr.arpa
12.66.6.in-addr.arpa
13.66.6.in-addr.arpa
14.66.6.in-addr.arpa
15.66.6.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000110.01000010.00000000.000000006.66.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00000110.01000010.00000000.000000006.66.0.0
Broadcast00000110.01000010.00011111.111111116.66.31.255
Split into smaller subnets/26

6.66.0.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
16.66.0.0/266.66.0.1 to 6.66.0.626.66.0.6362
26.66.0.64/266.66.0.65 to 6.66.0.1266.66.0.12762
36.66.0.128/266.66.0.129 to 6.66.0.1906.66.0.19162
46.66.0.192/266.66.0.193 to 6.66.0.2546.66.0.25562
56.66.1.0/266.66.1.1 to 6.66.1.626.66.1.6362
66.66.1.64/266.66.1.65 to 6.66.1.1266.66.1.12762
76.66.1.128/266.66.1.129 to 6.66.1.1906.66.1.19162
86.66.1.192/266.66.1.193 to 6.66.1.2546.66.1.25562
96.66.2.0/266.66.2.1 to 6.66.2.626.66.2.6362
106.66.2.64/266.66.2.65 to 6.66.2.1266.66.2.12762
116.66.2.128/266.66.2.129 to 6.66.2.1906.66.2.19162
126.66.2.192/266.66.2.193 to 6.66.2.2546.66.2.25562
136.66.3.0/266.66.3.1 to 6.66.3.626.66.3.6362
146.66.3.64/266.66.3.65 to 6.66.3.1266.66.3.12762
156.66.3.128/266.66.3.129 to 6.66.3.1906.66.3.19162
166.66.3.192/266.66.3.193 to 6.66.3.2546.66.3.25562
176.66.4.0/266.66.4.1 to 6.66.4.626.66.4.6362
186.66.4.64/266.66.4.65 to 6.66.4.1266.66.4.12762
196.66.4.128/266.66.4.129 to 6.66.4.1906.66.4.19162
206.66.4.192/266.66.4.193 to 6.66.4.2546.66.4.25562
216.66.5.0/266.66.5.1 to 6.66.5.626.66.5.6362
226.66.5.64/266.66.5.65 to 6.66.5.1266.66.5.12762
236.66.5.128/266.66.5.129 to 6.66.5.1906.66.5.19162
246.66.5.192/266.66.5.193 to 6.66.5.2546.66.5.25562
256.66.6.0/266.66.6.1 to 6.66.6.626.66.6.6362
266.66.6.64/266.66.6.65 to 6.66.6.1266.66.6.12762
276.66.6.128/266.66.6.129 to 6.66.6.1906.66.6.19162
286.66.6.192/266.66.6.193 to 6.66.6.2546.66.6.25562
296.66.7.0/266.66.7.1 to 6.66.7.626.66.7.6362
306.66.7.64/266.66.7.65 to 6.66.7.1266.66.7.12762
316.66.7.128/266.66.7.129 to 6.66.7.1906.66.7.19162
326.66.7.192/266.66.7.193 to 6.66.7.2546.66.7.25562
336.66.8.0/266.66.8.1 to 6.66.8.626.66.8.6362
346.66.8.64/266.66.8.65 to 6.66.8.1266.66.8.12762
356.66.8.128/266.66.8.129 to 6.66.8.1906.66.8.19162
366.66.8.192/266.66.8.193 to 6.66.8.2546.66.8.25562
376.66.9.0/266.66.9.1 to 6.66.9.626.66.9.6362
386.66.9.64/266.66.9.65 to 6.66.9.1266.66.9.12762
396.66.9.128/266.66.9.129 to 6.66.9.1906.66.9.19162
406.66.9.192/266.66.9.193 to 6.66.9.2546.66.9.25562
416.66.10.0/266.66.10.1 to 6.66.10.626.66.10.6362
426.66.10.64/266.66.10.65 to 6.66.10.1266.66.10.12762
436.66.10.128/266.66.10.129 to 6.66.10.1906.66.10.19162
446.66.10.192/266.66.10.193 to 6.66.10.2546.66.10.25562
456.66.11.0/266.66.11.1 to 6.66.11.626.66.11.6362
466.66.11.64/266.66.11.65 to 6.66.11.1266.66.11.12762
476.66.11.128/266.66.11.129 to 6.66.11.1906.66.11.19162
486.66.11.192/266.66.11.193 to 6.66.11.2546.66.11.25562
496.66.12.0/266.66.12.1 to 6.66.12.626.66.12.6362
506.66.12.64/266.66.12.65 to 6.66.12.1266.66.12.12762
516.66.12.128/266.66.12.129 to 6.66.12.1906.66.12.19162
526.66.12.192/266.66.12.193 to 6.66.12.2546.66.12.25562
536.66.13.0/266.66.13.1 to 6.66.13.626.66.13.6362
546.66.13.64/266.66.13.65 to 6.66.13.1266.66.13.12762
556.66.13.128/266.66.13.129 to 6.66.13.1906.66.13.19162
566.66.13.192/266.66.13.193 to 6.66.13.2546.66.13.25562
576.66.14.0/266.66.14.1 to 6.66.14.626.66.14.6362
586.66.14.64/266.66.14.65 to 6.66.14.1266.66.14.12762
596.66.14.128/266.66.14.129 to 6.66.14.1906.66.14.19162
606.66.14.192/266.66.14.193 to 6.66.14.2546.66.14.25562
616.66.15.0/266.66.15.1 to 6.66.15.626.66.15.6362
626.66.15.64/266.66.15.65 to 6.66.15.1266.66.15.12762
636.66.15.128/266.66.15.129 to 6.66.15.1906.66.15.19162
646.66.15.192/266.66.15.193 to 6.66.15.2546.66.15.25562
656.66.16.0/266.66.16.1 to 6.66.16.626.66.16.6362
666.66.16.64/266.66.16.65 to 6.66.16.1266.66.16.12762
676.66.16.128/266.66.16.129 to 6.66.16.1906.66.16.19162
686.66.16.192/266.66.16.193 to 6.66.16.2546.66.16.25562
696.66.17.0/266.66.17.1 to 6.66.17.626.66.17.6362
706.66.17.64/266.66.17.65 to 6.66.17.1266.66.17.12762
716.66.17.128/266.66.17.129 to 6.66.17.1906.66.17.19162
726.66.17.192/266.66.17.193 to 6.66.17.2546.66.17.25562
736.66.18.0/266.66.18.1 to 6.66.18.626.66.18.6362
746.66.18.64/266.66.18.65 to 6.66.18.1266.66.18.12762
756.66.18.128/266.66.18.129 to 6.66.18.1906.66.18.19162
766.66.18.192/266.66.18.193 to 6.66.18.2546.66.18.25562
776.66.19.0/266.66.19.1 to 6.66.19.626.66.19.6362
786.66.19.64/266.66.19.65 to 6.66.19.1266.66.19.12762
796.66.19.128/266.66.19.129 to 6.66.19.1906.66.19.19162
806.66.19.192/266.66.19.193 to 6.66.19.2546.66.19.25562
816.66.20.0/266.66.20.1 to 6.66.20.626.66.20.6362
826.66.20.64/266.66.20.65 to 6.66.20.1266.66.20.12762
836.66.20.128/266.66.20.129 to 6.66.20.1906.66.20.19162
846.66.20.192/266.66.20.193 to 6.66.20.2546.66.20.25562
856.66.21.0/266.66.21.1 to 6.66.21.626.66.21.6362
866.66.21.64/266.66.21.65 to 6.66.21.1266.66.21.12762
876.66.21.128/266.66.21.129 to 6.66.21.1906.66.21.19162
886.66.21.192/266.66.21.193 to 6.66.21.2546.66.21.25562
896.66.22.0/266.66.22.1 to 6.66.22.626.66.22.6362
906.66.22.64/266.66.22.65 to 6.66.22.1266.66.22.12762
916.66.22.128/266.66.22.129 to 6.66.22.1906.66.22.19162
926.66.22.192/266.66.22.193 to 6.66.22.2546.66.22.25562
936.66.23.0/266.66.23.1 to 6.66.23.626.66.23.6362
946.66.23.64/266.66.23.65 to 6.66.23.1266.66.23.12762
956.66.23.128/266.66.23.129 to 6.66.23.1906.66.23.19162
966.66.23.192/266.66.23.193 to 6.66.23.2546.66.23.25562
976.66.24.0/266.66.24.1 to 6.66.24.626.66.24.6362
986.66.24.64/266.66.24.65 to 6.66.24.1266.66.24.12762
996.66.24.128/266.66.24.129 to 6.66.24.1906.66.24.19162
1006.66.24.192/266.66.24.193 to 6.66.24.2546.66.24.25562
1016.66.25.0/266.66.25.1 to 6.66.25.626.66.25.6362
1026.66.25.64/266.66.25.65 to 6.66.25.1266.66.25.12762
1036.66.25.128/266.66.25.129 to 6.66.25.1906.66.25.19162
1046.66.25.192/266.66.25.193 to 6.66.25.2546.66.25.25562
1056.66.26.0/266.66.26.1 to 6.66.26.626.66.26.6362
1066.66.26.64/266.66.26.65 to 6.66.26.1266.66.26.12762
1076.66.26.128/266.66.26.129 to 6.66.26.1906.66.26.19162
1086.66.26.192/266.66.26.193 to 6.66.26.2546.66.26.25562
1096.66.27.0/266.66.27.1 to 6.66.27.626.66.27.6362
1106.66.27.64/266.66.27.65 to 6.66.27.1266.66.27.12762
1116.66.27.128/266.66.27.129 to 6.66.27.1906.66.27.19162
1126.66.27.192/266.66.27.193 to 6.66.27.2546.66.27.25562
1136.66.28.0/266.66.28.1 to 6.66.28.626.66.28.6362
1146.66.28.64/266.66.28.65 to 6.66.28.1266.66.28.12762
1156.66.28.128/266.66.28.129 to 6.66.28.1906.66.28.19162
1166.66.28.192/266.66.28.193 to 6.66.28.2546.66.28.25562
1176.66.29.0/266.66.29.1 to 6.66.29.626.66.29.6362
1186.66.29.64/266.66.29.65 to 6.66.29.1266.66.29.12762
1196.66.29.128/266.66.29.129 to 6.66.29.1906.66.29.19162
1206.66.29.192/266.66.29.193 to 6.66.29.2546.66.29.25562
1216.66.30.0/266.66.30.1 to 6.66.30.626.66.30.6362
1226.66.30.64/266.66.30.65 to 6.66.30.1266.66.30.12762
1236.66.30.128/266.66.30.129 to 6.66.30.1906.66.30.19162
1246.66.30.192/266.66.30.193 to 6.66.30.2546.66.30.25562
1256.66.31.0/266.66.31.1 to 6.66.31.626.66.31.6362
1266.66.31.64/266.66.31.65 to 6.66.31.1266.66.31.12762
1276.66.31.128/266.66.31.129 to 6.66.31.1906.66.31.19162
1286.66.31.192/266.66.31.193 to 6.66.31.2546.66.31.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses